import request from '@/utils/request'

// 养殖基地列表
export function apiFarmLists(params: any) {
    return request.get({ url: '/farm.farm/lists', params })
}

// 添加养殖基地
export function apiFarmAdd(params: any) {
    return request.post({ url: '/farm.farm/add', params })
}

// 编辑养殖基地
export function apiFarmEdit(params: any) {
    return request.post({ url: '/farm.farm/edit', params })
}

// 删除养殖基地
export function apiFarmDelete(params: any) {
    return request.post({ url: '/farm.farm/delete', params })
}

// 养殖基地详情
export function apiFarmDetail(params: any) {
    return request.get({ url: '/farm.farm/detail', params })
}